Đọc portal cư dân
curl --request GET \
--url https://api.example.com/api/resident/portal \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.example.com/api/resident/portal"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.example.com/api/resident/portal', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.example.com/api/resident/portal",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.example.com/api/resident/portal"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.example.com/api/resident/portal")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.example.com/api/resident/portal")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"success": true,
"data": {
"state": "link",
"identity": {
"zaloUserId": "<string>",
"displayName": "<string>",
"verifiedPhone": "<string>"
},
"links": [
{
"id": "<string>",
"status": "pending",
"relationshipCode": "<string>",
"rejectionReason": "<string>",
"tower": {
"id": "<string>",
"name": "<string>"
},
"apartment": {
"id": "<string>",
"code": "<string>",
"name": "<string>"
}
}
],
"towers": [
{
"id": "<string>",
"name": "<string>"
}
]
}
}{
"success": false,
"error": {
"code": "<string>",
"message": "<string>",
"details": "<unknown>"
}
}{
"success": false,
"error": {
"code": "<string>",
"message": "<string>",
"details": "<unknown>"
}
}Mini App
Đọc portal cư dân
Đọc trạng thái liên kết hoặc dữ liệu của căn hộ được duyệt.
GET
/
api
/
resident
/
portal
Đọc portal cư dân
curl --request GET \
--url https://api.example.com/api/resident/portal \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.example.com/api/resident/portal"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.example.com/api/resident/portal', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.example.com/api/resident/portal",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.example.com/api/resident/portal"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.example.com/api/resident/portal")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.example.com/api/resident/portal")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"success": true,
"data": {
"state": "link",
"identity": {
"zaloUserId": "<string>",
"displayName": "<string>",
"verifiedPhone": "<string>"
},
"links": [
{
"id": "<string>",
"status": "pending",
"relationshipCode": "<string>",
"rejectionReason": "<string>",
"tower": {
"id": "<string>",
"name": "<string>"
},
"apartment": {
"id": "<string>",
"code": "<string>",
"name": "<string>"
}
}
],
"towers": [
{
"id": "<string>",
"name": "<string>"
}
]
}
}{
"success": false,
"error": {
"code": "<string>",
"message": "<string>",
"details": "<unknown>"
}
}{
"success": false,
"error": {
"code": "<string>",
"message": "<string>",
"details": "<unknown>"
}
}apartmentId không khớp không mặc định gây 403: source chọn liên kết được duyệt đầu tiên. API trả tối đa 24 bảng kê và cộng nợ từ tập này. Xem Mini App và giới hạn hiện tại.
Endpoint có OPTIONS trả 204; header CORS chỉ được thêm cho origin Zalo được source cho phép.Authorizations
Token phiên cư dân Taho sau khi xác minh Zalo; không phải Zalo access token.
Query Parameters
ID căn hộ trong liên kết approved; thiếu hoặc không khớp sẽ dùng căn được duyệt đầu tiên.
Was this page helpful?